# $Id: controlmenu.py,v 1.5 2010/11/21 04:36:09 irees Exp $
from PyQt4 import QtGui, QtCore, Qt


class ControlMenu(QtGui.QMenu):

	signal_enqueue = QtCore.pyqtSignal(unicode, object)
	signal_dequeue = QtCore.pyqtSignal(unicode, object)
	
	def __init__(self, parent=None, filename=None, data=None):
		QtGui.QMenu.__init__(self, parent=parent)
		
		# ian: is there a better way than passing this dict around..
		self.data = data
		self.filename = filename
		self.addAction(QtGui.QAction("Add to Queue", self, triggered=self.enqueue))

	def enqueue(self):
		self.signal_enqueue.emit(self.filename, self.data)
		
	def dequeue(self):
		self.signal_dequeue.emit(self.filename, self.data)


__version__ = "$Revision: 1.5 $".split(":")[1][:-1].strip()
