#!/usr/bin/env python

# $Id: tweet.py,v 1.8 2010/11/20 21:34:54 irees Exp $

import subprocess
import emen2.db.admin
db = emen2.db.admin.opendb()

import twitter
import twitter.cmdline
import twitter.oauth
import twitter.oauth_dance

import emen2.clients

def gettokens():
	OAUTH_TOKEN = ''
	OAUTH_SECRET = ''
	CONSUMER_KEY = ''
	CONSUMER_SECRET = ''
	return {"OAUTH_TOKEN": OAUTH_TOKEN, "OAUTH_SECRET": OAUTH_SECRET, "CONSUMER_KEY": CONSUMER_KEY, "CONSUMER_SECRET": CONSUMER_SECRET}


def getapi():
	tk = gettokens()
	
	if not tk.get('OAUTH_TOKEN') or not tk.get('OAUTH_SECRET'):
		tk['OAUTH_TOKEN'], tk['OAUTH_SECRET'] = twitter.oauth_dance.oauth_dance("EMEN2", tk.get('CONSUMER_KEY'), tk.get('CONSUMER_SECRET'))
		print "Got auth tokens: ", tk

	t = twitter.Twitter(
	    auth=twitter.oauth.OAuth(tk['OAUTH_TOKEN'], tk['OAUTH_SECRET'], tk['CONSUMER_KEY'], tk['CONSUMER_SECRET']),
	    secure=1,
	    api_version='1',
	    domain='api.twitter.com')

	return t


def tweet(status, t=None):
	if not t:
		t = getapi()
	t.statuses.update(status=status)
	
	
def uptime():
	b = emen2.clients.check_output("uptime").strip()
	tweet("NCMIDB status: %s"%b)
	
	
if __name__ == "__main__":
	uptime()
	
	
__version__ = "$Revision: 1.8 $".split(":")[1][:-1].strip()