# $Id: core_paramdefs.py,v 1.12 2010/10/15 16:25:08 edwlan Exp $
children = {
	"root_parameter": set(["core"]),
	"core": set([u'username', u'name_first', u'creator', u'recname', u'address_street2', u'creationtime', u'name_contact', u'phone_fax', u'address_state', u'address_street', u'support', u'name_middle', u'affiliations', u'department', u'phone_fax_international', u'email', u'website', u'address_email', u'modifytime', u'institution', u'address_city', u'name_last', u'name_group', u'country', u'address_international', u'phone_voice', u'phone_voice_international', u'academic_degrees', u'address_zipcode', u'name_folder', u'recid', u'comments', u'history', u'recname', u'publish', u'uri', u'folder_description', u'owner', u'permissions',u'groups',u'parents',u'children', u'file_binary', u'file_binary_image', u'modifytime', u'modifyuser', u'rectype', u'person_photo'])
}

#>>> print pprint.pformat([dict(filter(lambda x:x[1]!=None, dict(i).items())) for i in db.getparamdefs(z3).values()])

items = \
[{'choices': None,  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Username associated with a person',
  'desc_short': u'Username',
  'indexed': True,
  'name': u'username',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'First Name',
  'desc_short': u'First Name',
  'indexed': True,
  'name': u'name_first',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'The user-id that initially created the record',
  'desc_short': u'Record Creator',
  'indexed': True,
  'name': u'creator',
  'property': None,
  'uri': None,
  'vartype': u'user'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Identifier used as the record title',
  'desc_short': u'Record title',
  'indexed': True,
  'name': u'recname',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Street address line 2',
  'desc_short': u'Address 2',
  'indexed': True,
  'name': u'address_street2',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'The date/time the record was originally created',
  'desc_short': u'Creation time',
  'indexed': True,
  'name': u'creationtime',
  'property': None,
  'uri': None,
  'vartype': u'datetime'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Person in charge ',
  'desc_short': u'Contact name',
  'indexed': True,
  'name': u'name_contact',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Fax number',
  'desc_short': u'Fax no',
  'indexed': True,
  'name': u'phone_fax',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'State',
  'desc_short': u'State',
  'indexed': True,
  'name': u'address_state',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:17',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u"This is the user-id of the 'owner' of the record",
  'desc_short': u'Record Owner',
  'indexed': True,
  'name': u'owner',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Physical address',
  'desc_short': u'Address',
  'indexed': True,
  'name': u'address_street',
  'property': None,
  'uri': None,
  'vartype': u'text'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Children',
  'desc_short': u'Children',
  'indexed': False,
  'name': u'children',
  'property': None,
  'uri': None,
  'vartype': u'links'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Source of financial support',
  'desc_short': u'Financial support',
  'indexed': True,
  'name': u'support',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Comments',
  'desc_short': u'Comments',
  'indexed': False,
  'name': u'comments',
  'property': None,
  'uri': None,
  'vartype': u'comments'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Institution where the group belongs to',
  'desc_short': u'Institution',
  'indexed': True,
  'name': u'institution',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Middle Name',
  'desc_short': u'Middle Name',
  'indexed': True,
  'name': u'name_middle',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Affiliations',
  'desc_short': u'Affiliations',
  'indexed': True,
  'name': u'affiliations',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Parents',
  'desc_short': u'Parents',
  'indexed': False,
  'name': u'parents',
  'property': None,
  'uri': None,
  'vartype': u'links'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Department',
  'desc_short': u'Department',
  'indexed': True,
  'name': u'department',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Phone number',
  'desc_short': u'Phone no',
  'indexed': True,
  'name': u'phone_voice',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'International fax',
  'desc_short': u'International fax',
  'indexed': True,
  'name': u'phone_fax_international',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2010/03/23 15:09:20',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Folder Name',
  'desc_short': u'Folder Name',
  'indexed': True,
  'name': u'name_folder',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'email',
  'desc_short': u'email',
  'indexed': True,
  'name': u'email',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:17',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Photo',
  'desc_short': u'Photo',
  'indexed': False,
  'name': u'person_photo',
  'property': None,
  'uri': None,
  'vartype': u'binaryimage'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Website address',
  'desc_short': u'Homepage',
  'indexed': True,
  'name': u'website',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2010/03/23 18:56:44',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Core ParamDefs',
  'desc_short': u'Core ParamDefs',
  'indexed': True,
  'name': u'core',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Contact email address',
  'desc_short': u'Contact email',
  'indexed': True,
  'name': u'address_email',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Groups',
  'desc_short': u'Groups',
  'indexed': False,
  'name': u'groups',
  'property': None,
  'uri': None,
  'vartype': u'groups'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'The date/time the record was last modified',
  'desc_short': u'Modification time',
  'indexed': True,
  'name': u'modifytime',
  'property': None,
  'uri': None,
  'vartype': u'datetime'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Record type (RecordDef)',
  'desc_short': u'Record type',
  'indexed': False,
  'name': u'rectype',
  'property': None,
  'uri': None,
  'vartype': u'rectype'},
 {'choices': (),
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Placeholder: root parameter definition',
  'desc_short': u'Placeholder: root parameter definition',
  'indexed': True,
  'name': u'root_parameter',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Permissions',
  'desc_short': u'Permissions',
  'indexed': False,
  'name': u'permissions',
  'property': None,
  'uri': None,
  'vartype': u'acl'},
 {'choices': [],
  'creationdb': None,
  'creationtime': u'2010/04/02 01:43:53',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'The username that last changed the record',
  'desc_short': u'Modify User',
  'indexed': True,
  'name': u'modifyuser',
  'property': None,
  'uri': None,
  'vartype': u'user'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'City',
  'desc_short': u'City',
  'indexed': True,
  'name': u'address_city',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Last Name',
  'desc_short': u'Last Name',
  'indexed': True,
  'name': u'name_last',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Group name',
  'desc_short': u'Group',
  'indexed': True,
  'name': u'name_group',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'country',
  'desc_short': u'country',
  'indexed': True,
  'name': u'country',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'International address',
  'desc_short': u'International address',
  'indexed': True,
  'name': u'address_international',
  'property': None,
  'uri': None,
  'vartype': u'text'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Resoucre Location',
  'desc_short': u'Resource Location',
  'indexed': True,
  'name': u'uri',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:17',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'An image file',
  'desc_short': u'Image file',
  'indexed': False,
  'name': u'file_binary_image',
  'property': None,
  'uri': None,
  'vartype': u'binaryimage'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Record ID',
  'desc_short': u'Record ID',
  'indexed': True,
  'name': u'recid',
  'property': None,
  'uri': None,
  'vartype': u'int'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'International phone',
  'desc_short': u'International phone',
  'indexed': True,
  'name': u'phone_voice_international',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'List of academic degrees',
  'desc_short': u'Degrees',
  'indexed': True,
  'name': u'academic_degrees',
  'property': None,
  'uri': None,
  'vartype': u'stringlist'},
 {'choices': [],
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:17',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Attachments',
  'desc_short': u'Attachments',
  'indexed': False,
  'name': u'file_binary',
  'property': None,
  'uri': None,
  'vartype': u'binary'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'History',
  'desc_short': u'History',
  'indexed': False,
  'name': u'history',
  'property': None,
  'uri': None,
  'vartype': u'history'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Zipcode',
  'desc_short': u'Zip',
  'indexed': True,
  'name': u'address_zipcode',
  'property': None,
  'uri': None,
  'vartype': u'string'},
 {'choices': None,
  'creationdb': None,
  'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'defaultunits': None,
  'desc_long': u'Publish',
  'desc_short': u'Publish',
  'indexed': True,
  'name': u'publish',
  'property': None,
  'uri': None,
  'vartype': u'boolean'},
{'choices': [],
 'creationdb': None,
 'creationtime': u'2010/08/26 23:23:31',
 'creator': u'root',
 'defaultunits': None,
 'desc_long': u'Description',
 'desc_short': u'Description',
 'indexed': True,
 'name': u'folder_description',
 'property': None,
 'uri': None,
 'vartype': u'text'}
]


__version__ = "$Revision: 1.12 $".split(":")[1][:-1].strip()
