# $Id: progressbardelegate.py,v 1.4 2010/11/21 04:36:09 irees Exp $
from PyQt4 import QtGui, QtCore, Qt


class ProgressBarDelegate(QtGui.QItemDelegate):
	def sizeHint(self, option, index):
		return Qt.QSize(130, 30)
	
	def paint(self, painter, option, index):
		progress = index.model().data(index, QtCore.Qt.DisplayRole)
		
		if isinstance(progress, basestring) or progress == None:
			return QtGui.QItemDelegate.paint(self, painter, option, index)
				
		# if isinstance(progress, int):
		# 	self.drawBackground(painter, option, index)
		# 	rect = option.rect
		# 	rect = QtCore.QRect(rect.left()+3, rect.top()+6, rect.width()-5, rect.height())
		# 	return QtGui.QApplication.style().drawItemText(painter, rect, 0, option.palette, True, QtCore.QString("Record: %s"%progress))

		opts = QtGui.QStyleOptionProgressBarV2()
		opts.rect = option.rect
		opts.minimum = 1
		opts.maximum = 100
		opts.progress = int(progress*100)
		return QtGui.QApplication.style().drawControl(QtGui.QStyle.CE_ProgressBar, opts, painter)

__version__ = "$Revision: 1.4 $".split(":")[1][:-1].strip()
