# $Id: ratingthread.py,v 1.8 2010/11/21 04:36:10 irees Exp $
import os
import operator
import Queue
import collections
import time
import datetime

from PyQt4 import QtCore



class QualityThread(QtCore.QThread):
	"""Watch a directory"""

	signal_file_failure = QtCore.pyqtSignal(unicode, unicode)
	signal_file_status = QtCore.pyqtSignal(unicode, object)
	signal_file_success = QtCore.pyqtSignal(unicode, object)

	def __init__(self, db=None, filename=None, quality=None, recid=None, parent=None):
		self.db = db

		self.quality = quality
		self.filename = filename
		self.recid = recid
		
		QtCore.QThread.__init__(self, parent=parent)


	def run(self):
		try:
			self.db.putrecordvalues(self.recid, {"assess_image_quality":self.quality})
			self.signal_file_status.emit(self.filename, {"assess_image_quality":self.quality})

		except Exception, e:
			self.signal_exception.emit(unicode(e))
			
__version__ = "$Revision: 1.8 $".split(":")[1][:-1].strip()
