# $Id: core_recorddefs.py,v 1.4 2010/10/15 16:25:08 edwlan Exp $
children = {
	"root_protocol":set(['person','group','folder'])
}


items = [

{'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'desc_long': u'Contact details for a person. These are usually associated with User accounts, but can also be used to store contact details in other places, e.g. a project or report.',
  'desc_short': u'Person',
  'mainview': u'Name: $$name_first $$name_middle $$name_last\n\n$#email: $$email\n\n$#academic_degrees\t$$academic_degrees\n\n$#department:  $$department\n\n$#institution:\t$$institution\n\n$#address_street:  $$address_street\n\n$#address_street2:\t$$address_street2\n\nCity/State/Zip: $$address_city $$address_state $$address_zipcode\n\n$#country: $$country\n\n$#phone_voice: $$phone_voice\n\n$#phone_fax:  $$phone_fax \n\n$#website: $$website',
  'name': u'person',
  'owner': u'root',
  'params': {u'academic_degrees': None,
             u'address_city': None,
             u'address_state': None,
             u'country': None,
             u'email': None,
             u'institution': None,
             u'name_first': None,
             u'name_last': None,
             u'username': None},
  'paramsK': set([u'academic_degrees',
                  u'address_city',
                  u'address_state',
                  u'address_street',
                  u'address_street2',
                  u'address_zipcode',
                  u'country',
                  u'department',
                  u'email',
                  u'institution',
                  u'name_first',
                  u'name_last',
                  u'name_middle',
                  u'phone_fax',
                  u'phone_voice',
                  u'username',
                  u'website']),
  'paramsR': set(),
  'private': 0,
  'typicalchld': [u'grant'],
  'uri': None,
  'views': {u'recname': u'$$name_first $$name_last',
            u'tabularview': u'$$name_last\n$$name_first\n$$username\n$$academic_degrees\n$$email\n$$institution\n$$address_city\n$$address_state\n$$country'}},
 {'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'desc_long': u'A folder. This is a general purpose organizational device. You will want to use more specific protocols such as project/subproject where appropriate.',
  'desc_short': u'Folder',
  'mainview': u'Folder: $$name_folder\n\n$#folder_description:\n\n$$folder_description',
  'name': u'folder',
  'owner': u'root',
  'params': {u'creationtime': None,
             u'creator': None,
             u'folder_description': None,
             u'name_contact': None,
             u'name_folder': None},
  'paramsK': set([u'creationtime',
                  u'creator',
                  u'folder_description',
                  u'name_contact',
                  u'name_folder']),
  'paramsR': set(),
  'private': 0,
  'typicalchld': [u'folder', u'microscope'],
  'uri': None,
  'views': {u'banner': u'$$folder_description',
            u'recname': u'$$name_folder',
            u'tabularview': u'$$name_folder\n$$name_contact\n$$creator\n$$creationtime'}},
 {'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'desc_long': u'None',
  'desc_short': u'Group',
  'mainview': u'# $#name_group: $$name_group  \n\n$#institution: $$institution\t\n$#affiliations: $$affiliations \t\t\t\t\n\n# Address\n\n$#address_street:\t$$address_street  \n$#address_city:  $$address_city  \n$#address_state:  $$address_state  \n$#address_zipcode:\t $$address_zipcode  \n$#address_international:  $$address_international  \n\n# Contact\n\n$#name_contact: $$name_contact \t\t\t\t \n\n$#phone_voice: $$phone_voice  \n$#phone_fax: $$phone_fax  \n$#phone_voice_international: $$phone_voice_international  \n$#phone_fax_international: $$phone_fax_international   \n\n$#website: $$website  \n$#address_email: $$address_email \t\n\n$#support: $$support',
  'name': u'group',
  'owner': u'root',
  'params': {u'address_email': None,
             u'affiliations': None,
             u'creationtime': None,
             u'creator': None,
             u'institution': None,
             u'name_contact': None,
             u'name_group': None},
  'paramsK': set([u'address_city',
                  u'address_email',
                  u'address_international',
                  u'address_state',
                  u'address_street',
                  u'address_zipcode',
                  u'affiliations',
                  u'creationtime',
                  u'creator',
                  u'institution',
                  u'name_contact',
                  u'name_group',
                  u'phone_fax',
                  u'phone_fax_international',
                  u'phone_voice',
                  u'phone_voice_international',
                  u'support',
                  u'website']),
  'paramsR': set(),
  'private': 0,
  'typicalchld': [u'project', u'folder', u'person', u'workshop'],
  'uri': None,
  'views': {u'recname': u'$$name_group',
            u'tabularview': u'$$name_group\n$$institution\n$$affiliations\n$$name_contact\n$$address_email\n$$creator\n$$creationtime\n'}},
 {'creationtime': u'2009/11/09 01:52:12',
  'creator': u'root',
  'desc_long': u'Root Protocol; Do not use',
  'desc_short': u'Root Protocol',
  'mainview': u'Do not use',
  'name': u'root_protocol',
  'owner': u'root',
  'params': {u'creationtime': None, u'creator': None},
  'paramsK': set([u'creationtime', u'creator']),
  'paramsR': set(),
  'private': 0,
  'typicalchld': [u'folder'],
  'uri': None,
  'views': {u'onelineview': u'$$creator $$creationtime',
            u'recname': u'$$creator $$creationtime',
            u'tabularview': u'$$creator $$creationtime'}}]
__version__ = "$Revision: 1.4 $".split(":")[1][:-1].strip()
